import { SubTagInfo } from '../../api';
import { Container, Row } from 'react-bootstrap';
import { Button } from 'antd';

/**
 * Creates a single tag item in a tag panel.
 * @param props Properties should contain the tag.
 * @returns The item that represents the tag.
 */
export function SubTagItem(props: { subTag: SubTagInfo }) {
    /**
     * Selects the sub tag.
     */
    const selectSubTag = () => {};

    return (
        <Container>
            <Row>
                <Button type="text" onClick={selectSubTag} className="w-100 text-start">
                    {props.subTag.name}
                </Button>
            </Row>
        </Container>
    );
}
